# eric7.QScintilla.Lexers.LexerPascal

Module implementing a Pascal lexer with some additional methods.

### Global Attributes

None

### Classes

LexerPascal | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerPascal

Subclass to implement some additional lexer dependant methods.

### Derived from

Lexer, QsciLexerPascal

### Class Attributes

None

### Class Methods

None

### Methods

LexerPascal | Constructor
autoCompletionWordSeparators | Public method to return the list of separators for autocompletion.
defaultKeywords | Public method to get the default keywords.
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

### Static Methods

None

#### LexerPascal (Constructor)

LexerPascal(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerPascal.autoCompletionWordSeparators

autoCompletionWordSeparators()

Public method to return the list of separators for autocompletion.

Return:
  list of separators (list of strings)

#### LexerPascal.defaultKeywords

defaultKeywords(kwSet)

Public method to get the default keywords.

kwSet
  number of the keyword set (integer)

Return:
  string giving the keywords (string) or None

#### LexerPascal.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerPascal.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

style
  style to check (integer)

Return:
  flag indicating a comment style (boolean)

#### LexerPascal.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

style
  style to check (integer)

Return:
  flag indicating a string style (boolean)

Up